Endpoints
Create Extraction Job
POST
/
run-job
Create Extraction Job
curl --request POST \
--url https://api.documind.xyz/run-job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>",
"schema": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"values": [
"<string>"
],
"children": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"values": [
"<string>"
]
}
]
}
]
}
'import requests
url = "https://api.documind.xyz/run-job"
payload = {
"file": "<string>",
"schema": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"values": ["<string>"],
"children": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"values": ["<string>"]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file: '<string>',
schema: [
{
name: '<string>',
description: '<string>',
type: '<string>',
values: ['<string>'],
children: [
{
name: '<string>',
description: '<string>',
type: '<string>',
values: ['<string>']
}
]
}
]
})
};
fetch('https://api.documind.xyz/run-job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"status": "<string>",
"pages": 123,
"fileName": "<string>",
"result": "<string>",
"urls": {}
}Body
The file URL.
The schema that defines the structure of the data you want to extract
Show schema object
Show schema object
A unique identifier for the field.
A brief explanation of what the field represents.
The type of data. Options are:
string, number, array, object, enum, boolean.Used when the field type is
enum, to specify available options.Nested fields for
array or object types.Show child attributes
Show child attributes
A unique identifier for the field.
A brief explanation of what the field represents.
The type of data. Options are:
string, number, array, object, enum, boolean.Used when the field type is
enum, to specify available options.Response
The unique id of the extraction job.
Date and time when the job was created.
Status of the job. At the point of the job creation, this will be
CREATED.Number of pages in the document processed.
The file URL.
The result of the extracted job. At the point of job creation, this will be
null.The full endpoint url to poll for the results of the job.
⌘I
Create Extraction Job
